plymouth/suse-initrd-support

102 lines
3.1 KiB
Plaintext

--- plymouth-0.8.4/configure.ac 2012-02-06 22:01:36.000000000 +0100
+++ new/configure.ac 2012-04-03 10:28:00.658536991 +0200
@@ -440,6 +440,7 @@
themes/spinner/Makefile
themes/script/Makefile
images/Makefile
+ scripts/setup-plymouth.sh
scripts/plymouth-generate-initrd
scripts/plymouth-populate-initrd
scripts/plymouth-set-default-theme
--- /dev/null
+++ new/scripts/boot-plymouth.chroot.sh 2012-04-03 10:28:00.659536992 +0200
@@ -0,0 +1,7 @@
+#!/bin/bash
+#%stage: setup
+#%depends: plymouth
+#%programs: /usr/bin/plymouth /usr/sbin/plymouthd
+#%dontshow
+
+plymouth update-root-fs --new-root-dir=/root
--- /dev/null
+++ new/scripts/boot-plymouth.sh 2012-04-03 10:28:00.659536992 +0200
@@ -0,0 +1,10 @@
+#!/bin/bash
+#%stage: boot
+#%depends: start udev kms
+#%programs: /usr/bin/plymouth /usr/sbin/plymouthd
+
+mkdir --mode 755 /run/plymouth
+
+/usr/sbin/plymouthd --attach-to-session --pid-file /run/plymouth/pid
+
+plymouth show-splash
--- /dev/null
+++ new/scripts/setup-plymouth.sh.in 2012-04-03 11:11:44.656337240 +0200
@@ -0,0 +1,59 @@
+#!/bin/bash
+#
+#%stage: setup
+#%depends: start
+
+# We don't need to copy the binaries since boot-plymouth.sh does that for us
+
+[ -z "$tmp_mnt" ] && exit 1
+
+THEME=$(plymouth-set-default-theme)
+
+PLUGIN_PATH=$(plymouth --get-splash-plugin-path)
+
+MODULE=$(grep "ModuleName *= *" @PLYMOUTH_DATADIR@/plymouth/themes/${THEME}/${THEME}.plymouth | sed 's/ModuleName *= *//')
+
+if [ ! -f "$PLUGIN_PATH/${MODULE}.so" ]; then
+ echo "The default plymouth plugin ($MODULE) doesn't exist." > /dev/stderr
+ exit 1
+fi
+
+FILES="/usr/share/plymouth/themes/text/text.plymouth \
+ /usr/share/plymouth/themes/details/details.plymouth \
+ /usr/share/plymouth/plymouthd.defaults \
+ /usr/share/plymouth/themes/${THEME}/* \
+ /usr/share/plymouth/logo.png \
+ /etc/plymouth/plymouthd.conf \
+ /usr/share/fonts/uni/unifont.pcf.gz \
+ /etc/fonts/fonts.conf \
+ /etc/fonts/conf.d/69-unifont.conf \
+ /etc/fonts/conf.avail/69-unifont.conf \
+ /usr/lib/pango/1.6.0/modules/pango-basic-fc.so "
+
+PLUGINS="${PLUGIN_PATH}/details.so \
+ ${PLUGIN_PATH}/text.so \
+ ${PLUGIN_PATH}/label.so \
+ ${PLUGIN_PATH}/${MODULE}.so \
+ ${PLUGIN_PATH}/renderers/drm.so \
+ ${PLUGIN_PATH}/renderers/frame-buffer.so"
+
+for file in $FILES; do
+ install -D $file $tmp_mnt/$file
+done
+
+for plugin in $PLUGINS; do
+ mkdir -p $tmp_mnt/$(dirname $plugin)
+ cp_bin $plugin $tmp_mnt/$plugin
+done
+
+_libdir=`rpm --eval '%{_lib}'`
+if [ "$_libdir" == "lib64" ];
+ then
+ _pangodir=`pango-querymodules-64 | grep ModulesPath | awk '{print $4}'`
+ _pangomod="/etc/pango/pango64.modules"
+ else
+ _pangodir=`pango-querymodules | grep ModulesPath | awk '{print $4}'`
+ _pangomod="/etc/pango/pango.modules"
+fi
+install -D ${_pangomod} $tmp_mnt/${_pangomod}
+mkdir -p $tmp_mnt/var/cache/fontconfig
--- plymouth-0.8.4/scripts/plymouth-update-initrd 2008-12-19 05:36:55.000000000 +0100
+++ new/scripts/plymouth-update-initrd 2012-05-15 10:59:08.158501726 +0200
@@ -1,2 +1,2 @@
#!/bin/bash
-mkinitrd -f /boot/initrd-$(uname -r).img $(uname -r)
+mkinitrd -i initrd-$(uname -r) -k vmlinuz-$(uname -r)